Issue 14678

Summary: Word document filter has significant format loss on some word document
Product: Writer Reporter: waiterevo <waiter.evo>
Component: codeAssignee: michael.ruess
Status: CLOSED FIXED QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1 Beta2Keywords: oooqa
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Sample word document causing problem
none
MS Document with grid activated none

Description waiterevo 2003-05-20 16:56:47 UTC
See sample attachment. The file is 1 page in Word but being expanded to 3 pages 
with many other formatting difference.
Comment 1 waiterevo 2003-05-20 16:57:34 UTC
Created attachment 6304 [details]
Sample word document causing problem
Comment 2 dankegel 2003-05-24 06:49:40 UTC
*** Issue 14677 has been marked as a duplicate of this issue. ***
Comment 3 dankegel 2003-05-24 06:58:40 UTC
Reproduced on Linux with beta2.   It's as if the whole document
were stretched vertically by a factor of 2.  Notice that three of
the ordered list of remarks have numbers which are incorrectly
a much larger size than the others, too.

I bet a lot of this can't be addressed for 1.1rc, but perhaps
at least the spacing could be corrected?
Comment 4 h.ilter 2003-05-28 10:03:15 UTC
Reassigned to MRU
Comment 5 michael.ruess 2003-06-03 17:28:03 UTC
MRU->CMC: The document grid (from the CJK support) is activated after
import. When selecting the whole text and disabling "snap to grid" in
the paragraph format, the document looks much better.
Is it possible for you to find out why the grid is activated or should
we better get the unprotected version of the document?

Either the page borders left/right are wrong.
Comment 6 caolanm 2003-06-04 10:34:50 UTC
Hmm, there is a grid enable option property for "lines only" for the
winword sections seen by the filter, and the paragraph property is set
for "snap to grid". I can't see the menu options for the page setup to
confirm that this is being imported correctly or if it's disabled
somehow. Perhaps word and writer have different ideas as to how to
render snap to grid paragraphs inside tables. Or perhaps the values
for the grid are wrong somehow.

cmc->waiterevo: Could you attach an unprotected version of this
document, it would really help track down the problem. I want to see
what word's menus claim are the true settings to see if this is an
import or a rendering issue.

cmc->mru: I'll pass this back to you. Perhaps we'll have to try and
recreate this sort of document if we can't get an unprotected version.
Comment 7 michael.ruess 2003-06-04 14:00:06 UTC
Created attachment 6651 [details]
MS Document with grid activated
Comment 8 michael.ruess 2003-06-04 14:27:17 UTC
MRU->CMC: I've created a document from the original one where the grid
is activated.
The page borders are wrong after import. 
The large distances resulting from the grid could be a problem of the
Writer core, ain't it?
Comment 9 caolanm 2003-06-04 15:49:35 UTC
I can fix the margins anyway, theres a property with the wrong length.
I'll look into the textgrid stuff.
Comment 10 caolanm 2003-06-23 17:11:44 UTC
cmc->mru: 
1. Page margins fixed in SRX645m7.
2.  The grid in word is "lines only"  39 lines per page, which is the
same as in word. A base size of 14 + ruby of 4 gives 18pt, the same as
word's value. I don't understand the large row heights that writer
gives when the grid is enabled. Perhaps our grid is working correctly
but differently to word. Or perhaps it is not working. fme should know
if this is the wrong behaviour.
3. Turning off the grid still gives large, but smaller, row heights to
do with the differences in word and writer in paragraphs
before/after/fixed height in tables. That difference is something we
are tackling for 2.0.
Comment 11 michael.ruess 2003-07-18 10:09:57 UTC
Page margins now fit well in OO 1.1 RC.
Issues regarding Grid will be investigated later.
Comment 12 michael.ruess 2004-01-08 10:52:33 UTC
So this is more a collective task, the remaining (grid-) problem will be handled
with issue 24195.
Main Problems of this here has been solved for current version of Oo 2.0, thus
the issue will be closed as fixed.
Comment 13 michael.ruess 2004-01-08 10:52:49 UTC
Closed.